########################### parameters and functions ####
# sigma=0.8			# standard deviation
# median=0.25			# medien radius by CDF=0.5
mod = 0.2			# most frequent radius
r_max =1.0
print 'r_mod=', mod
print 'r_max=', r_max
##### Calculated standard deviation
CDF_max=0.99
print 'CDF_max=', CDF_max
u=2.0*CDF_max -1.0
# print 'u=', u
erfInvu=sqrt(pi)*(1./2.*u+1/24.*pi*u**3+7./960.*pi**2*u**5+127./80640.*pi**3*u**7+0.0366*u**9+0.0292*u**11)
print 'erfInv(u)=', erfInvu
b=sqrt(2.)*erfInvu
c=log(mod)-log(r_max)
print 'b=', b, ',   c=', c, '  b^2-4c=', b**2-4*c
sigma=0.5*(-b+sqrt(b**2-4.*c))
print 'sigma = ', sigma 
######
median= exp(log(mod)+sigma**2)
xm=median			
# mod=xm/exp(sigma**2)	# most frequent radius 
mean=exp(log(xm)+0.5*sigma**2)		# average radius
###
PDF(x)=(2*pi)**(-0.5)*(1/sigma)*(1/x)*exp(-0.5*((log(x)-log(xm))/sigma)**2)
CDF(x)=0.5 + 0.5*erf((log(x)-log(xm))/sqrt(2.)/sigma)
####
PDF_med=(2*pi)**(-0.5)*(1/sigma)*(1/xm)*exp(-0.5*((log(xm)-log(xm))/sigma)**2)
PDF_mod=(2*pi)**(-0.5)*(1/sigma)*(1/mod)*exp(-0.5*((log(mod)-log(xm))/sigma)**2)
PDF_mean=(2*pi)**(-0.5)*(1/sigma)*(1/mean)*exp(-0.5*((log(mean)-log(xm))/sigma)**2)
CDF_med=0.5 + 0.5*erf((log(xm)-log(xm))/sqrt(2.)/sigma )
CDF_mod=0.5 + 0.5*erf((log(mod)-log(xm))/sqrt(2.)/sigma )
CDF_mean=0.5 + 0.5*erf((log(mean)-log(xm))/sqrt(2.)/sigma )

print 'recalculated CDF_max=', 0.5 + 0.5*erf((log(r_max)-log(xm))/sqrt(2.)/sigma )
