############################################################### border ###
set border lw 3
set grid lw 2
# set tmargin 0.5
# set lmargin 7.2
set rmargin 2
############################################################### labels and tics ###
# set xlabel offset 0, 0.5
# set ylabel offset 0.5,0
# set tics out
set mxtics
set mytics
set tics scale 1.5,1
set xtics nomirror
set ytics nomirror
# set y2tics nomirror
set xtics offset 0,0.
# set xtics font 'Verdana,20'
# set ytics font 'Verdana,20'
set xtics font 'Helvetica,22'
set ytics font 'Helvetica,22'
set ytic format '%1.1f'
# set ytic format '%1.1e'
############################################################### keys ###
# set key {on|off} {default}
#       {{inside | outside | fixed} | {lmargin | rmargin | tmargin | bmargin}
#       | {at <position>}}
#       {left | right | center} {top | bottom | center}
#       {vertical | horizontal} {Left | Right}
#       {{no}enhanced}
#       {{no}opaque}
#       {{no}reverse} {{no}invert}
#       {samplen <sample_length>} {spacing <line_spacing>}
#       {width <width_increment>} {height <height_increment>}
#       {{no}autotitle {columnheader}}
#       {title {"<text>"} {{no}enhanced} {center | left | right}}
#       {font "<face>,<size>"} {textcolor <colorspec>}
#       {{no}box {linestyle <style> | linetype <type> | linewidth <width>}}
#       {maxcols {<max no. of columns> | auto}}
#       {maxrows {<max no. of rows> | auto}}
set key box opaque # height 2
#set key nobox
set key Left
set key right top
set key reverse width 0 spacing 1.5
set key font 'Helvetica,22'
################################################################# line style ###
# set style line <index> {{linetype  | lt} <line_type> | <colorspec>}
#                        {{linecolor | lc} <colorspec>}
#                        {{linewidth | lw} <line_width>}
#                        {{pointtype | pt} <point_type>}
#                        {{pointsize | ps} <point_size>}
#                        {palette}
#
# --- solid line(point)              
set style line 1 lt 1 lw 6 pt 5 ps 1.5 pi -1   
# --- dashed line(point)
set style line 2 lt 1 lw 5 dt (10,6,10,6) pt 8 ps 2.0 pi -2                  
# set style line 2 lt 1 lc rgb 'blue' lw 2 pt 8 ps 1 pi 10                 
# set style line 21 lt 1 lc rgb 'blue' lw 2 dt (10,6,10,6) pt 8 ps 1 pi 10 
set style fill transparent solid 0.65 border
################################################################# output ###
#---jpeg
#set output '.jpeg'
#set term jpeg large font arial size 800,600
#--- png
# set output '.png'
# set terminal pngcairo dashed size 800,600 enhanced color font 'Verdana,25' 
#--- eps
# set output '.eps'
# set terminal postscript eps enhanced color lw 2 "Times-Roman" 25

# set terminal svg {size <x>,<y> {|fixed|dynamic}}
#                  {{no}enhanced}
#                  {fname "<font>"} {fsize <fontsize>}
#                  {font "<fontname>{,<fontsize>}"}
#                  {fontfile <filename>}
#                  {rounded|butt} {linewidth <lw>}
