set term x11 0
clear 
reset 
load 'sty.gnu'
################################################## key
unset key
########################### parameters and functions ####
load 'lognormalpara.gnu'
###########################################
set ytics format "%1.1e"
# set ylabel 'Nucleant Density [1/cm^3]' offset 1,0
# set xrange [0.8*radiusMinGesamt:1.2*radiusMaxGesamt]
set xrange [0:1.0]
# set xlabel 'Radius [{/Symbol m}m]' offset 0,0.5
set boxwidth deltaR absolute
# # plot 'nucleant_distribution.Tab' u 1:2 w lp
set style data histogram
set style histogram cluster
set style fill solid 1.0 border lt -1 
plot \
  'nucleant_distribution.Tab' using 1:2 smooth freq with boxes lc 'olive' lw 3, \
#       'ref_example.dat' using 1:2 w lp lw 5,\
################################### output ###
#---jpeg
#set output '.jpeg'
#set term jpeg large font arial size 800,600
#--- png
# set terminal pngcairo dashed size 800,600 enhanced color font 'Verdana,22'
# set output 'plot_nuc_dist.png'
#--- eps
set output 'seed-density-classes.eps'
set terminal postscript eps enhanced color font 'Helvetica,22'
# set terminal postscript eps enhanced color lw 2 "Times-Roman" 25
replot



